GCLOUD_COMPUTE_IMAGES_CREATE(1)

NAME

gcloud compute images create - create Google Compute Engine images

SYNOPSIS

gcloud compute images create NAME [--description DESCRIPTION] [--family FAMILY] [--licenses [LICENSES,...]] [--source-disk SOURCE_DISK] [--source-disk-zone SOURCE_DISK_ZONE] [--source-uri SOURCE_URI] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute images create is used to create custom disk images. The resulting image can be provided during instance or disk creation so that the instance attached to the resulting disks has access to a known set of software or files from the image. Images can be created from gzipped compressed tarball containing raw disk data or from existing disks in any zone. Images are global resources, so they can be used across zones and projects. To learn more about creating image tarballs, visit https://cloud.google.com/compute/docs/creating-custom-image

POSITIONAL ARGUMENTS
NAME
    The name of the image to create.

FLAGS
--description DESCRIPTION
    An optional, textual description for the image being created.
--family FAMILY
    The family of the image. When creating an instance or disk, specifying a family will cause the latest non-deprecated image in the family to be used.
--licenses [LICENSES,...]
    Comma-separated list of URIs to license resources.
--source-disk SOURCE_DISK
    A source disk to create the image from. The value for this option can be the name of a disk with the zone specified via --source-disk-zone flag. This flag is mutually exclusive with --source-uri.
--source-disk-zone SOURCE_DISK_ZONE
    The zone of the source disk to operate on. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.
--source-uri SOURCE_URI
    The full Google Cloud Storage URI where the disk image is stored. This file must be a gzip-compressed tarball whose name ends in .tar.gz. This flag is mutually exclusive with --source-disk.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.